Zum Inhalt springen

Post Processing Color Correction

Integrieren

Modell-ID post-processing/color-correction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/post-processing/color-correction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,001 $ 1 API-Credit Auf dieser Seite ausführen

API-Schlüssel abrufen
Utility · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich image_url
Datei ablegen oder

Bild-URL für die Verarbeitung.

Erweitert temperature · brightness · contrast · saturation · gamma
Standard 0

Anpassung der Farbtemperatur.

Standard 0

Anpassung der Bildhelligkeit.

Standard 0

Anpassung des Bildkontrasts.

Standard 0

Anpassung der Farbsättigung.

Standard 1

Anpassung des Gammas.

POST /run/post-processing/color-correction?wait=20 Preis → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/post-processing/color-correction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Post Processing Color Correction

Verarbeitet ein `image_url` mit fünf Anpassungen. `temperature`, `brightness`, `contrast` und `saturation` reichen jeweils von -100 bis 100 (Standard 0), während `gamma` von 0.2 bis 2.2 reicht (Standard 1). Praktisch zum Color Grading oder Ausbalancieren erzeugter Bilder.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
image_urlerforderlich image
Typurl · image
Bild-URL für die Verarbeitung.
temperatureoptional
Typnumber
Standard0
-100 – 100
Anpassung der Farbtemperatur.
brightnessoptional
Typnumber
Standard0
-100 – 100
Anpassung der Bildhelligkeit.
contrastoptional
Typnumber
Standard0
-100 – 100
Anpassung des Bildkontrasts.
saturationoptional
Typnumber
Standard0
-100 – 100
Anpassung der Farbsättigung.
gammaoptional
Typnumber
Standard1
0,2 – 2,2
Anpassung des Gammas.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "post-processing/color-correction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}Bilder nach der Farbkorrektur.

Weitere Modelle: Bildbearbeitung

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/post-processing/color-correction.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt